Subject: Re: [6tisch] RPL parameter in the minimal draft

From: Xavier Vilajosana <[email-masked]>
Date: Fri, 18 Jul 2014 08:25:17 +0200

Dear Kazushi,

thanks for the valuable comment. I will check in detail and use your
suggestion if applies.

thanks you very much!
Xavi

2014-07-18 1:27 GMT+02:00 Kazushi Muraoka <[email-masked]>:

> Xavi,
>
>
>
> I meant 512*1.5 = *768* in the following mail.
>
>
>
> Kazu
>
>
>
> *From:* Kazushi Muraoka [mailto:[email-masked]]
> *Sent:* Thursday, July 17, 2014 4:24 PM
> *To:* 'Xavier Vilajosana'
> *Cc:* [email-masked]
> *Subject:* RPL parameter in the minimal draft
>
>
>
> Xavi,
>
>
>
> Could you check the value of PARENT_SWITCH_THRESHOLD in the minimal draft?
>
>
>
> [RFC6719] explains “switch to a new path only if it is expected to require
> at least 1.5 fewer transmissions than the current path.”
>
> It recommends PARENT_SWITCH_THRESHOLD of 192. I imagine a rank increase of
> “128*ETX” is assumed in [RFC6719].
>
>
>
> On the other hand, the minimal draft uses “512*ETX” as a rank increase,
> because 2*ETX and minHopRankIncrease of 256 are used.
>
> As a result, I think the threshold which corresponds to 1.5 transmissions
> should be 512*1.5 = 788 and not 384.
>
>
>
> Am I correct?
>
> Kazu
>
>
>
> ****************************************************
>
> Kazushi Muraoka, PhD
>
> The Ubiquitous Swarm Lab
>
> University of California, Berkeley
>
> Phone: 510-881-3904
>
> Email: [email-masked]
>
> ****************************************************
>
>
>
>
>